Cyberduck Mountain Duck CLI

#11705 closed defect (fixed)

Bookmark to path within bucket hangs when there are many past object versions at that location

Reported by: jamiejackson Owned by: dkocher
Priority: normal Milestone: 7.10.0
Component: s3 Version: 7.9.2
Severity: normal Keywords:
Cc: Architecture: Intel
Platform: macOS 10.15

Description (last modified by jamiejackson)

From what I can tell, cyberduck will spin indefinitely (30+ minutes) when a bookmark has a path specified, when the path has lots (many thousands) of past object versions, even when there are no or few current versions at that path. (In other words the "directory" could have no actual objects in it when viewed with aws s3 ls.)

However, using a bookmark with no path (one which starts with a listing of all _buckets_), when you drill down to the path, it works fine.

Change History (4)

comment:1 Changed on Jun 10, 2021 at 7:11:07 PM by jamiejackson

  • Description modified (diff)

comment:2 Changed on Jun 11, 2021 at 9:28:35 AM by dkocher

  • Component changed from core to s3
  • Owner set to dkocher
  • Summary changed from S3 bookmark to path within bucket hangs when there are many past object versions at that location to Bookmark to path within bucket hangs when there are many past object versions at that location

comment:3 Changed on Jul 3, 2021 at 5:27:59 PM by dkocher

  • Milestone set to 7.10
  • Resolution set to fixed
  • Status changed from new to closed

In r51505.

comment:4 Changed on Jul 8, 2021 at 9:11:53 AM by yla

  • Milestone changed from 7.10 to 7.10.0

Milestone renamed

Note: See TracTickets for help on using tickets.